## genparse 0.3

=== test/Makefile ===
#
# This is for automatically compiling the test case / example.  The following
# is not part of genparse
#

CC=             gcc
CFLAGS=         -g -O2 -Wall -Wstrict-prototypes

testme: testpcl.o testmain.o testpcl_cb.o
	$(CC) -o $@ testmain.o testpcl.o testpcl_cb.o

testpcl.c testpcl_cb.c: test.gp $(TARGET)
	../build/genparse -o testpcl.c test.gp

testmain.o: testmain.c

clean:
	rm -f testme testpcl*

## genparse 0.8.7

=== debian/changelog ===
genparse (0.8.7-4) unstable; urgency=low

  * debian/control
    - (Build-Depends): Add autoconf and automake.
      Change openjdk-6-jdk to default-jdk. Patch thanks to
      Petr Salinger <Petr.Salinger@seznam.cz> (Bug#590014).
  * debian/copyright
    - (Format): Update URL (lintian).
  * debian/debian-save-restore.mk
    - Update. Use PACKAGE suffix for saved files.
  * debian/patches
    - (10): Rename from 40.
    - (12): New. Correct include option in Makefile.am which causes
      autoreconf(1) to exit with error.
  * debian/rules
    - (FILE_LIST_PRESERVE): Add autoreconf modified files.
    - (override_dh_auto_configure): Run autoreconf(1) to make patch by
      Petr Salinger <Petr.Salinger@seznam.cz> effective (Closes: #590014).
      Copy fresh config.* files.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 Oct 2011 09:36:06 +0300

genparse (0.8.7-3) unstable; urgency=low

  * debian/control
    - (Build-Depends): Change texlive to doxygen-latex (Closes: #616217).
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP5.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 21 Apr 2011 14:44:33 +0300

genparse (0.8.7-2) unstable; urgency=low

  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Standards-Version): 3.9.1.
  * debian/patches
    - (40): New. Disable HAVE_GCJ in configure.ac. This changes
      openjdk-6-jdk into default-jdk, Patch thanks to
      Petr Salinger <Petr.Salinger@seznam.cz>
      (bd-uninstallable on hppa, kfreebsd-*; serious; Closes: #590014).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 12 Oct 2010 19:13:01 +0300

genparse (0.8.7-1) unstable; urgency=low

  * New upstream release.
  * debian/clean
    - New file.
  * debian/rules
    - (FILE_LIST_PRESERVE): update to latest upstream.
    - (override_dh_clean): new target.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 20 Mar 2010 11:19:52 +0200

genparse (0.8.6-1) unstable; urgency=low

  * New upstream release.
  * debian/debian-save-restore.mk
    - Update suffix handling.
  * debian/rules
    - (FILE_LIST_PRESERVE): update to current upstream.
    - (.PHONY): add binary.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 11 Mar 2010 01:57:50 +0200

genparse (0.8.5-1) unstable; urgency=low

  * New maintainer (ITA; Closes: #505992).
  * New upstream release (Closes: #559947).
  * Move to packaging format "3.0 (quilt)"
  * Package was removed from Debian testing 2009-12-10
    http://packages.qa.debian.org/g/genparse/news/20091210T163923Z.html
  * debian/changelog
    - Remove obsolete Emacs variables from the end.
  * debian/control
    - (Build-Depends): update to 7. change flex-old to flex.
      Add doxygen, libcppunit-dev, libcunit1-dev, junit
      etc. to satisfy new upstream release.
    - (Depends): add ${misc:Depends} for debhelper.
      Add install-info dependency.
    - (Standards-Version): update to 3.8.4.
    - (Vcs-*): add new fields.
  * debian/copyright
    - Update layout and add new author Michael Geng.
  * debian/compat
    - New file
  * debian/genparse.examples
    - Remove test/mycopy3.c, test/mycopy3.gp (no longer in sources).
  * debian/rules
    - remove DH_COMPAT
  * debian/source.lintian-overrides
    - Remove, not needed for current upstream.
  * debian/source/format
    - New file.
  * debian/watch
    - Use SF redirector (Closes: #450054).

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 26 Feb 2010 09:06:44 +0200

genparse (0.5.2-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417193).

 -- Luk Claes <luk@debian.org>  Sun, 09 Mar 2008 13:34:12 +0000

genparse (0.5.2-11) unstable; urgency=low

  * Update of Debian Policy.

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Tue, 27 Dec 2005 00:05:04 -0400

genparse (0.5.2-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added texinfo as a build dependency. Closes: #302246.

 -- Lars Wirzenius <liw@iki.fi>  Fri, 22 Apr 2005 12:19:00 +0300

genparse (0.5.2-10) unstable; urgency=low

  * New maintainer (closes:  #266468).

 -- Víctor Pérez Pereira <vperez@debianvenezuela.org>  Sun, 20 Mar 2005 18:25:28 -0400

genparse (0.5.2-9) unstable; urgency=low

  * QA upload.
  * Rebuild to fix info file (Closes: #280099).
  * Update watch file.
  * Debhelper 4.
  * Remove autotools from Build-Depends; update to current config.{guess,sub}.
  * Fix clean rule not to remove stuff contained in orig.tgz.
  * Bump Standards-Version.

 -- Christoph Berg <cb@df7cb.de>  Sat, 27 Nov 2004 16:09:53 +0100

genparse (0.5.2-8) unstable; urgency=low

  * QA Group upload orphaning this package

 -- Andrew Pollock <apollock@debian.org>  Sat,  6 Nov 2004 11:00:00 +1100

genparse (0.5.2-7) unstable; urgency=low

  * fixed an FTBFS bug due to redifinition of float_t (Closes: Bug#189717)

 -- Luca Filipozzi <lfilipoz@debian.org>  Sat, 14 Jun 2003 11:16:44 -0700

genparse (0.5.2-6) unstable; urgency=low

  * debian/watch: upgraded to version 2 and fixed for sf.net

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  2 Jun 2002 20:36:12 -0700

genparse (0.5.2-5) unstable; urgency=low

  * updated source to use namespaces (Closes:Bug#104691)

 -- Luca Filipozzi <lfilipoz@debian.org>  Fri, 26 Oct 2001 23:15:20 -0700

genparse (0.5.2-4) unstable; urgency=low

  * New maintainer
  * Completely reworked of debian/* files to use debhelper v3

 -- Luca Filipozzi <lfilipoz@debian.org>  Wed, 29 Aug 2001 10:32:50 -0700

genparse (0.5.2-3) unstable; urgency=low

  * debian/control: build-depends on flex and bison (Closes:Bug#95960)

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Fri, 11 May 2001 21:26:18 -0400

genparse (0.5.2-2) unstable; urgency=low

  * debian/control: move build-depends line to source section.  policy
    version 3.2.1
  * debian/rules: honor DEB_BUILD_OPTIONS.

 -- James R. Van Zandt <jrv@vanzandt.mv.com>  Sun, 22 Apr 2001 21:21:29 -0400

genparse (0.5.2-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: genparse
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8), automake, autoconf, bison, flex, texinfo, doxygen, libcunit1-dev, junit, libcppunit-dev, default-jdk, install-info, texi2html, man2html, doxygen-latex
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=collab-maint/genparse.git
Vcs-Git: git://git.debian.org/git/collab-maint/genparse.git
Homepage: http://genparse.sourceforge.net

Package: genparse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: command line parser generator
 From simple and concise specification file, you can define
 the command line parameters and switches that you would like
 to be able to pass to your program.
 Genparse creates the C code of the parser for you, which you can then
 compile as a separate file and link with your program.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = genparse

CONF_FLAGS = \
	--host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr

# Changed by the build process: files deleted and autoreconf
FILE_LIST_PRESERVE = \
 config.in \
 configure \
 doc/genparse.info \
 doc/stamp-vti \
 doc/version.texi \
 examples/Cmdline.java \
 examples/CmdlineEx.java \
 examples/CmdlineInterface.java \
 examples/echo_clp.c \
 examples/echo_clp.h \
 examples/ls_clp.c \
 examples/ls_clp.h \
 examples/mv_clp.c \
 examples/mv_clp.h \
 examples/mycopy3_clp.c \
 examples/mycopy3_clp.h \
 examples/mycopy4_clp.cc \
 examples/mycopy4_clp.h \
 examples/mycopy4_clp_cb.cc \
 examples/ping_clp.c \
 examples/ping_clp.h \
 examples/rm_clp.c \
 examples/rm_clp.h \
 examples/tail_clp.c \
 examples/tail_clp.h \
 examples/uname_clp.c \
 examples/uname_clp.h \
 examples/wc_clp.c \
 examples/wc_clp.h \
 tests/ccheck/default_clp.c \
 tests/ccheck/double_clp.c \
 tests/ccheck/intmax_clp.c \
 tests/ccheck/long_clp.c \
 tests/ccheck/longmembers_clp.c \
 tests/ccheck/uintmax_clp.c \
 tests/ccheck/ulong_clp.c \
 tests/cppcheck/default_clp.cc \
 tests/cppcheck/longmembers_clp.cc \
 INSTALL \
 Makefile.in \
 aclocal.m4 \
 depcomp \
 doc/Makefile.in \
 doc/mdate-sh \
 doc/texinfo.tex \
 examples/Makefile.in \
 gnulib/Makefile.in \
 gnulib/lib/Makefile.in \
 install-sh \
 missing \
 mkinstalldirs \
 src/Makefile.in \
 tests/Makefile.in \
 tests/ccheck/Makefile.in \
 tests/cppcheck/Makefile.in \
 tests/javacheck/Makefile.in \
 tests/misc/Makefile.in \
 ylwrap

include debian/debian-save-restore.mk

override_dh_clean:
	$(file-state-save)
	dh_clean
	rm -f config.guess config.sub

override_dh_auto_configure:
	# See patch 10. We have to regenerate ./configure
	cp -vf /usr/share/misc/config.sub .
	cp -vf /usr/share/misc/config.guess .
	autoreconf -vfi
	CFLAGS="$(CFLAGS)" ./configure $(CONF_FLAGS)

binary-arch: build install
	# target: binary-arch - Build architecture-dependent files
	$(file-state-restore)
	# remove central info "dir", handled by install-info
	rm -f debian/$(PACKAGE)/usr/share/info/dir*
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

%:
	dh $@

.PHONY: binary binary-arch

# End of file

=== debian/watch ===
version=3
http://sf.net/genparse/genparse-([\d\.]+)\.tar\.gz

## genparse 0.9.1

=== debian/changelog ===
genparse (0.9.1-1ubuntu1) trusty; urgency=low

  * Use autotools-dev for arm64.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 13 Feb 2014 23:40:32 -0500

genparse (0.9.1-1) unstable; urgency=low

  * New upstream release (FTBFS; Closes: #666372).
  * debian/compat
    - Update to 9
  * debian/control
    - (Build-Depends): update to debhelper 9.
    - (Standards-Version): Update to 3.9.3.1.
  * debian/copyright
    - Update to format 1.0.
  * debian/rules
    - Use hardened CFLAGS.
      http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 10 May 2012 09:32:14 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: genparse
 Section: devel
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8), automake, autoconf, bison, flex, texinfo, doxygen, libcunit1-dev, junit, libcppunit-dev, default-jdk, install-info, texi2html, man2html, doxygen-latex
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jari Aalto <jari.aalto@cante.net>
+Build-Depends: debhelper (>= 9), automake, autoconf, bison, flex, texinfo, doxygen, libcunit1-dev, junit, libcppunit-dev, default-jdk, install-info, texi2html, man2html, doxygen-latex, autotools-dev
+Standards-Version: 3.9.3.1
 Vcs-Browser: http://git.debian.org/?p=collab-maint/genparse.git
 Vcs-Git: git://git.debian.org/git/collab-maint/genparse.git
 Homepage: http://genparse.sourceforge.net

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = genparse

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include debian/debian-save-restore.mk

# Changed by the build process: files deleted and autoreconf
FILE_LIST_PRESERVE = \
 config.guess \
 config.sub \
 doc/stamp-vti \
 doc/version.texi \
 examples/echo_clp.c \
 examples/echo_clp.h \
 examples/ls_clp.c \
 examples/ls_clp.h \
 examples/mv_clp.c \
 examples/mv_clp.h \
 examples/mycopy3_clp.c \
 examples/mycopy3_clp.h \
 examples/mycopy4_clp.cc \
 examples/mycopy4_clp.h \
 examples/mycopy4_clp_cb.cc \
 examples/ping_clp.c \
 examples/ping_clp.h \
 examples/rm_clp.c \
 examples/rm_clp.h \
 examples/tail_clp.c \
 examples/tail_clp.h \
 examples/uname_clp.c \
 examples/uname_clp.h \
 examples/wc_clp.c \
 examples/wc_clp.h \
 tests/ccheck/default_clp.c \
 tests/ccheck/double_clp.c \
 tests/ccheck/intmax_clp.c \
 tests/ccheck/long_clp.c \
 tests/ccheck/longmembers_clp.c \
 tests/ccheck/uintmax_clp.c \
 tests/ccheck/ulong_clp.c \
 tests/cppcheck/default_clp.cc \
 tests/cppcheck/longmembers_clp.cc

RM = \
 tests/misc/quotearg.c \
 tests/misc/quotearg.h

override_dh_auto_clean:
	$(file-state-save)
	dh_auto_clean
	$(file-state-restore-copy)

override_dh_clean:
	dh_clean
	rm -f $(RM)

override_dh_install:
	dh_install
	$(file-state-restore)
	# remove central info "dir", handled by install-info
	rm -f debian/$(PACKAGE)/usr/share/info/dir*

%:
	dh $@  --with autotools-dev

# End of file

## genparse 0.9.2

=== debian/changelog ===
genparse (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - (Build-Depends). Delete texi2html. See #698081
      and https://wiki.debian.org/Texi2htmlTransition
    - (Homepage): update URL.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - (Format): update from DEP5 to 1.0.
    - Update URLs.
  * debian/patches
    - (10): New. (FTBFS; Closes: #802190)
    - (20): New. Correct manual page.
    - (30): New. Gcc fixes.
  * debian/rules
    - Use dh --with autoreconf (Closes: #727866).
  * debian/source/options
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 10 Nov 2016 14:18:01 +0200

=== debian/control ===
Source: genparse
Section: devel
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), autotools-dev, automake, autoconf, bison, flex, texinfo, doxygen, libcunit1-dev, junit, libcppunit-dev, default-jdk, install-info, man2html, doxygen-latex
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/genparse.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/genparse.git
Homepage: https://sourceforge.net/p/genparse

Package: genparse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Description: command line parser generator
 From simple and concise specification file, you can define
 the command line parameters and switches that you would like
 to be able to pass to your program.
 Genparse creates the C code of the parser for you, which you can then
 compile as a separate file and link with your program.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = genparse

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

RM = \
 tests/misc/quotearg.c \
 tests/misc/quotearg.h

override_dh_configure:
	dh_autotools-dev_updateconfig
	autoreconf -fi
	dh_configure

override_dh_auto_clean:
	dh_autotools-dev_restoreconfig
	dh_auto_clean

override_dh_clean:
	dh_clean
	rm -f $(RM)

override_dh_install:
	dh_install
	# remove central info "dir", handled by install-info
	rm -f debian/$(PACKAGE)/usr/share/info/dir*

%:
	dh $@ --with autotools_dev

# End of file

## genparse 0.9.3

=== debian/changelog ===
genparse (0.9.3-2) unstable; urgency=medium

  * QA upload
  * Remove B-D install-info (Closes: #1013693)
  * Add :native qualifier for cross compilation

 -- Bastian Germann <bage@debian.org>  Sun, 02 Apr 2023 19:18:33 +0200

genparse (0.9.3-1) unstable; urgency=medium

  * QA upload.
  
  [Boyuan yang]
  * New upstream version 0.9.3.
  * debian/: Apply wrap-and-sort -abst.
  * Bump debhelper compat to v13.
  * debian/control: Use correct Vcs-* fields.
  * debian/control: Drop unnecessay dependency on dpkg.
  * Add new build-dependency autoconf-archive to use obsolete
    autoconf macro AC_CHECK_CLASS.
  * debian/rules: Modernize.
  * debian/rules: Use c++14 standard to avoid FTBFS caused by
    C++17 disallowing dynamic exception specification.
    (Closes: #984149)
  * debian/genparse.install: Rename from genparse.files.
  * debian/patches: Drop all patches, merged upstream.

  [Bo YU]
  * Use `make check` to run tests
  * Add patch to run tests: Use c++14, thanks to Xu yifan.
  * Drop debian/genparse.install
  * Drop debian/genparse.lintian-overrides

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 15 Feb 2023 21:14:00 +8000

genparse (0.9.2-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #920093)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 06:10:36 -0300

=== debian/control ===
Source: genparse
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 autoconf-archive,
 bison,
 debhelper-compat (= 13),
 default-jdk,
 doxygen,
 doxygen-latex,
 flex,
 junit:native,
 libcppunit-dev,
 libcunit1-dev,
 man2html,
 texinfo,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/genparse.git
Vcs-Browser: https://salsa.debian.org/debian/genparse
Homepage: https://sourceforge.net/p/genparse

Package: genparse
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: command line parser generator
 From simple and concise specification file, you can define
 the command line parameters and switches that you would like
 to be able to pass to your program.
 Genparse creates the C code of the parser for you, which you can then
 compile as a separate file and link with your program.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = genparse

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -std=c++14

RM = \
 tests/misc/quotearg.c \
 tests/misc/quotearg.h

execute_after_dh_clean:
	rm -f $(RM)

override_dh_auto_test:
	make check

execute_after_dh_install:
	rm -f debian/$(PACKAGE)/usr/share/info/dir*

%:
	dh $@
